﻿<Window x:Class="Login2.AdmWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Login2"
        mc:Ignorable="d"
        xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
        Title="Login" Height="500" Width="350" 
        ResizeMode="NoResize" 
        WindowStartupLocation="CenterScreen" 
        WindowStyle="None" 
        FontFamily="Segoe UI Emoji">
    <Window.Resources>
        <Storyboard x:Key="ShowPopup">
            <ObjectAnimationUsingKeyFrames Storyboard.TargetName="popupMessageGrid"
                        Storyboard.TargetProperty="Visibility">
                <DiscreteObjectKeyFrame KeyTime="0:0:0" Value="{x:Static Visibility.Visible}"/>
                <DiscreteObjectKeyFrame KeyTime="0:0:1.5" Value="{x:Static Visibility.Collapsed}"/>
            </ObjectAnimationUsingKeyFrames>
            <DoubleAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Opacity)" Storyboard.TargetName="popupMessageGrid">
                <EasingDoubleKeyFrame KeyTime="0:0:0.5" Value="0.8"/>
                <EasingDoubleKeyFrame KeyTime="0:0:1" Value="0.79"/>
                <EasingDoubleKeyFrame KeyTime="0:0:1.5" Value="0"/>
            </DoubleAnimationUsingKeyFrames>
            <ThicknessAnimationUsingKeyFrames Storyboard.TargetProperty="Margin" Storyboard.TargetName="popupMessageGrid" BeginTime="00:00:00">
                <SplineThicknessKeyFrame KeyTime="00:00:00" Value="0, 0, 0, 0" />
                <SplineThicknessKeyFrame KeyTime="00:00:0.5" Value="0, 15, 0, 0" />
                <SplineThicknessKeyFrame KeyTime="00:00:1" Value="0, 15, 0, 0" />
                <SplineThicknessKeyFrame KeyTime="00:00:1.5" Value="0, 0, 0, 0" />
            </ThicknessAnimationUsingKeyFrames>
        </Storyboard>

        <Style       
        x:Key="ButtonClose"
        TargetType="{x:Type Button}" 
        BasedOn="{StaticResource MaterialDesignRaisedButton}">
            <Setter Property="Content">
                <Setter.Value>
                    <materialDesign:PackIcon Kind="Backburger" Foreground="White" Width="40" Height="40" Margin="-10"/>
                </Setter.Value>
            </Setter>
            <Style.Triggers>
                <Trigger  Property="IsMouseOver" Value="True">
                    <Setter Property="Content">
                        <Setter.Value>
                            <materialDesign:PackIcon Kind="Backburger" Foreground="#FFEACAC7" Width="45" Height="45" Margin="-10" ToolTip="Развернуть" />
                        </Setter.Value>
                    </Setter>
                </Trigger>
            </Style.Triggers>
        </Style>

        
    </Window.Resources>
    
    <Grid>
        <Grid Opacity="0" x:Name="popupMessageGrid" Panel.ZIndex="1" Visibility="Collapsed">
            <Border Width="200" Height="50" HorizontalAlignment="Right" VerticalAlignment="Top" Margin="0, 0, 10, 0" CornerRadius="3"
                        Background="White">
                <TextBlock x:Name="popupMessage" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="0, 0, 0, 0" Text="My Text" Foreground="#FF2281D1" FontSize="10" FontWeight="Bold">
                </TextBlock>
            </Border>
        </Grid>
        <Rectangle Height="280" VerticalAlignment="Top">
            <Rectangle.Fill>
                <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
                    <GradientStop Color="#FF2281D1"/>
                    <GradientStop Color="#FF34268A" Offset="1"/>
                    <GradientStop Color="#FF33288B" Offset="0.546"/>
                </LinearGradientBrush>
            </Rectangle.Fill>
        </Rectangle>
        <Button Width="60" Height="60" HorizontalAlignment="Left" VerticalAlignment="Top" Style="{StaticResource ButtonClose}" Background="{x:Null}" BorderBrush="{x:Null}" Click="Button_Click_1"/>
        
        <Rectangle Width="280" Height="240" VerticalAlignment="Bottom" Margin="0,80" RadiusY="10" RadiusX="10" Fill="White">
            <Rectangle.Effect>
                <DropShadowEffect BlurRadius="15" Direction="0" RenderingBias="Quality" ShadowDepth="1" Color="#FFBBBBBB"/>
            </Rectangle.Effect>
        </Rectangle>
        <Grid VerticalAlignment="Bottom" Margin="35,80" Height="240">
            <Label Content="Административный режим" HorizontalAlignment="Center" VerticalAlignment="Top" Margin="5" Foreground="Gray" FontSize="18"/>
            <StackPanel VerticalAlignment="Center" Margin="15">
                <TextBox x:Name="PasswordA" Margin="0,10" materialDesign:HintAssist.Hint="            идентификатор" Style="{StaticResource MaterialDesignFloatingHintTextBox}"  FontFamily="Champagne &amp; Limousines" FontSize="18"/>
            </StackPanel>
        </Grid>
        <Button x:Name="Enter" Width="150" HorizontalAlignment="Center" VerticalAlignment="Bottom" Margin="0,65" Content="ВХОД" Click="Button_Click"/>
       
        <ProgressBar
  IsIndeterminate="true" Visibility="Collapsed" x:Name="bar" Margin="45,220,45,0"/>
        <TextBlock Text="ИНФОРМАЦИОННАЯ СИСТЕМА АВТОВОКЗАЛА" HorizontalAlignment="Center" VerticalAlignment="Bottom" Margin="30" Foreground="Gray" Cursor="Hand"/>
        
    </Grid>
</Window>
